* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


.container {
    max-width: 520px;
    margin: 0 auto;
    padding: 0;
    background-color: #ffffff;
}


html,
body {
    width: 100%;
    overflow-x: hidden;
}


/* Datas */

.avatar-wrapper {
    position: relative;
    width: 62px;
    height: 62px;
    flex-shrink: 0;
}

.avatar-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
    display: block;
}

.avatar-green {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 14px;
    height: 14px;
    background-color: #28a745;
    border: 2px solid white;
    border-radius: 50%;
}

.madina-89 {
    color: #251504;
    font-size: 24px;
    position: relative;
    right: 10px;
    top: 5px;
    font-family: 'Rubik', sans-serif;
}

.profile-card {
    border-radius: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(to bottom right, #fff2e6, #FF4A11);
    padding: 20px;
    height: 165px;
    width: 100%;
    max-width: 520px;
    position: relative;
    bottom: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%);
}

.score-section {
    background-color: #fff8e9;
    border-radius: 20px;
    padding: 5px 30px;
    /*width: 226px;*/
    height: 66px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow:
        inset 0 6px 6px -5px rgba(0, 0, 0, 0.25),
        0 4px 6px rgba(0, 0, 0, 0.1);
    transform: rotate(-3deg);
}

.username {
    font-weight: 700;
    font-size: 20px;
    color: #333;
}

.score-value {
    display: flex;
    align-items: center;
    margin-top: 5px;
    margin-left: 20px;
}

.score-label {
    color: #828282;
    font-size: 14px;
}

.star-color {
    width: 21px;
    height: 21px;
}

.button-pi {
    margin-top: 15px;
    font-size: 14px;
    color: #FFFAED;
    font-weight: 400;
    font-family: 'Rubik', sans-serif;

}

.star-icon img {
    width: 54px;
    height: 54px;
    margin-right: 5px;
}

.score-value span {
    font-size: 20px;
    font-weight: 600;
    color: #333;
}

.status-dot {
    position: absolute;
    bottom: 6px;
    right: 4px;
    width: 14px;
    height: 14px;
    background-color: #00c774;
    border: 2px solid white;
    border-radius: 50%;
}

/* Datas */

.mirror {
    background-color: rgb(250, 250, 244);

}

.leaderboard {
    max-width: 520px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding-top: 40px;
    position: relative;
    bottom: 55px;
    /*height: 960px;*/
    padding: 30px;
}

.card {
    background: white;
    border-radius: 20px;
    padding: 10px 16px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.08);
    transform: rotate(-2.5deg);
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 73px;
}

.card-inner {
    transform: rotate(2.5deg);
    display: flex;
    align-items: center;
    gap: 12px;
}

.avatar {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    object-fit: cover;
    border: 2px solid #ccc;
}

.avatar-border-pink {
    border: 4px solid #730bb4e5;
}

.avatar-border-green {
    border: 4px solid #039c64;
}

.card-inner:first-child {
    flex: 1; /* ✅ Ism qancha uzun bo‘lsa ham joy bor */
    min-width: 0;
    overflow: hidden;
    white-space: nowrap;
}


.name {
    font-weight: 600;
    font-size: 16px;
    color: #000;
    font-family: 'Rubik', sans-serif;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 120px; /* kerakli uzunlik */
}


.score-badge {
    transform: rotate(-3deg);
    display: flex;
    align-items: center;
    gap: 6px;
    padding: 5px 12px;
    border-radius: 20px;
    color: #fff;
    font-weight: bold;
    font-size: 14px;
    width: 65px;
    height: 36px;
    box-shadow:
        inset 0 2px 4px rgba(255, 255, 255, 0.4),
        0 4px 8px rgba(0, 0, 0, 0.3);
    /* box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15); */
}

.score-badge::before {
    content: "";
    position: absolute;
    top: 4px;
    left: 10px;
    width: 14px;
    height: 12px;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    filter: blur(2px);
}

.score-red {
    background: linear-gradient(to bottom, #F86666, #EB2D40);
}

.score-blue {
    background: linear-gradient(to bottom, #229BE6, #164D80);
}

.score-badge img {
    width: 18px;
    height: 18px;
}

.heart {
    width: 20px;
    height: 20px;
    cursor: pointer;
    transition: transform 0.2s;
}

.heart.liked {
    content: url("https://cdn-icons-png.flaticon.com/512/833/833472.png");
    transform: scale(1.1);
}

.avatars-card {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 6px;
}

.rank {
    font-weight: 600;
    font-size: 14px;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    color: #000000;
    justify-content: center;
    border-radius: 50%;
    font-family: 'Rubik', sans-serif;
}

.rank-pink {
    background-color: #e1d7f0;
}

.rank-blue {
    background-color: #0D8AFC4F;
}

.heart {
    font-size: 24px;
    color: #ccc;
    cursor: pointer;
    transition: color 0.3s ease;
}

.heart.liked {
    color: red;
}


/* Raketa */

/* button Ball */

.button-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: 40px;
    position: relative;
    right: 10px;
}

.shadow-bg-1 {
    width: 179px;
    height: 53px;
    background: linear-gradient(to right, #EB1260, #FF8A00);
    border-radius: 11px;
    font-weight: 600;
    font-size: 24px;
    color: white;
    border: 2px solid #f88c11;
    transform: translate(14px, 13px);
}

.button-wrapper-ball {
    position: relative;
    display: inline-block;
    padding: 20px;
    bottom: 20px;
}

.btn-ball-wrapp {
    display: flex;
    justify-content: center;
    align-items: center;
}

.shadow-bg-ball {
    position: absolute;
    top: 0;
    left: 0;
    width: 152px;
    height: 65px;
    background: linear-gradient(to right, #D48C5B, #855023);
    border-radius: 20px;
    z-index: 0;
    transform: translate(14px, 13px);
}

.promokod-btn-ball {
    position: relative;
    background: linear-gradient(to bottom, #327fa3, #007bff);
    border: none;
    border-radius: 20px;
    color: white;
    font-size: 23px;
    font-weight: bold;
    padding: 6px 22px;
    width: 139px;
    height: 52px;
    box-shadow: inset -5px -5px 10px rgba(255, 255, 255, 0.4),
    inset 5px 5px 10px rgba(0, 0, 0, 0.2);
}

.promokod-btn-ball::before {
    content: '';
    position: absolute;
    top: 15%;
    left: 10%;
    width: 30px;
    height: 20px;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    z-index: 2;
}

.promokod-btn-ball:focus {
    outline: none;
    box-shadow: none;
}


/* button Ball */

/* barakalla */

.kiko {
    background-color: #56544EB2;
    /*height: 1000px;*/
}

.Barakalla-h1 {
    font-size: 54px;
    color: #251504;
    font-weight: 600;
    text-align: center;
    position: relative;
    bottom: 10px;
    font-family: 'Rounded Mplus 1c', sans-serif;
}

.Barakalla-p {
    color: #87837B;
    line-height: 21px;
    font-size: 14px;
    font-weight: 400;
    font-family: 'Rubik', sans-serif;
    margin-left: 54px;
    width: 70%;
    text-align: center;
    position: relative;
    bottom: 20px;
}

.raketa-back{
    position: relative;
    /*top: 30px;*/
    /*height: 100vh;*/
}

.raketa-back-div {
    width: 382px;
    height: 673px;
    /* height: 100vh; */
    margin: 0 auto;
    background-image: url('../assets/img/clouds.svg');
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    bottom: 36px;
}

.raketa-img {
    padding-top: 60px;
}

.raketa-img img {
    max-width: 100%;
    height: 200px;
    margin-left: 40px;
}

/* Raketa */

.cancel-button {
    position: relative;
    width: 43px;
    height: 46px;
    background: linear-gradient(to bottom, #EB333C, #6D1F60);
    border-radius: 50%;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 108px;
    left: 77px;
}

.cancel-icon {
    color: white;
    font-size: 19px;
    font-weight: bold;
    z-index: 2;
}

.highlight {
    position: absolute;
    top: 8px;
    left: 8px;
    width: 10px;
    height: 5px;
    background: rgba(255, 255, 255, 0.4);
    border-radius: 50%;
    transform: rotate(-20deg);
}

.raketa-img {
    display: flex;
}

/* Modal */

/* znachok */

.xm {
     height: 900px;
     /*height: 100vh;*/
    padding: 23px 30px;
    background-color: #F7F1E5;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url('../assets/img/modal.svg');
}

.arrow-znachok {
    margin-top: 20px;
}

.znachok-wrap {
    display: flex;
    gap: 350px;
}

.znachok-a {
    position: relative;
    left: 2px;
    top: 10px;
    font-size: 13px;
}

.settings-btn {
    width: 54px;
    height: 57px;
    background: linear-gradient(to bottom right, #5ab0ff, #258aff);
    border-radius: 19px;
    box-shadow: inset -3px -3px 6px #7cd4ff, inset 3px 3px 6px #1c71c9,
    0 4px 10px rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border: none;
}

.settings-btn::before {
    content: "";
    position: absolute;
    top: 12px;
    left: 12px;
    width: 15px;
    height: 15px;
    background: rgba(255, 255, 255, 0.4);
    border-radius: 50%;
}

.settings-btn i {
    font-size: 28px;
    color: white;
}

/* znachok */


/* avatar */


.profile-wrapper {
    position: relative;
    width: 170px;
    height: 140px;
}

.profile-img {
    width: 140px;
    height: 140px;
    border-radius: 50%;
    object-fit: cover;
    border: 10px solid #f7f2eb;
    position: absolute;
    top: 20px;
    left: 20px;
    z-index: 2;
}

.circle-border {
    width: 180px;
    height: 180px;
    border-radius: 50%;
    border: 6px solid transparent;
    border-top: 6px solid #e74c3c;
    border-left: 6px solid #e74c3c;
    transform: rotate(45deg);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

/* avatar */


/* avatar things */

.avatar-school {
    color: #87837B;
    font-weight: 400;
    font-size: 14px;
}

.avatar-name {
    font-size: 32px;
    color: #251504;
    font-weight: 600;
}

.avatar-tegs {
    display: flex;
    gap: 6px;
}

.avatar-score {
    font-size: 13px;
    color: #251504;
    font-weight: 400;
}

.avatar-image {
    position: relative;
    bottom: 3px;
}

.wrap-awatar {
    display: flex;
    gap: 50px;
}

.awatar-things {
    margin-top: 40px;
}

.avatar-statis {
    color: #87837B;
    font-weight: 400;
    font-size: 14px;
    margin-top: 50px;
    margin-left: 30px;
}

/* avatar things */

/* modal score */

.modal-score {
    width: 382px;
    height: 141px;
    border-radius: 20px;
    border: 1px solid #F6F6F6;
    background-color: white;
    margin: 60px auto;
}

.modal-score-h1 {
    color: #583106;
    font-size: 32px;
    font-weight: 600;
    padding-top: 7px;
    text-align: center;
}

/* modal score */


/* button Ball */

.button-wrapper-score {
    position: relative;
    display: inline-block;
    padding: 20px;
    margin-left: 50px;
    bottom: 10px;
}

.shadow-bg-score {
    position: absolute;
    top: 0;
    left: 0;
    width: 152px;
    height: 65px;
    background: linear-gradient(to right, #D48C5B, #855023);
    border-radius: 20px;
    z-index: 0;
    transform: translate(14px, 13px);
}

.promokod-btn-score {
    position: relative;
    background: linear-gradient(to bottom, #327fa3, #007bff);
    border: none;
    border-radius: 20px;
    color: white;
    font-size: 24px;
    font-weight: bold;
    padding: 6px 22px;
    width: 139px;
    height: 52px;
    box-shadow: inset -5px -5px 10px rgba(255, 255, 255, 0.4),
    inset 5px 5px 10px rgba(0, 0, 0, 0.2);
}

.promokod-btn-score::before {
    content: '';
    position: absolute;
    top: 15%;
    left: 10%;
    width: 30px;
    height: 20px;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    z-index: 2;
}

.promokod-btn--score:focus {
    outline: none;
    box-shadow: none;
}

.avatar-obj {
    display: flex;
}

.obj {
    margin-left: 20px;
}


/* button Ball */



/* btn */
.badge-box {
    width: 101px;
    height: 108px;
    background: linear-gradient(to bottom, #67C6FF, #1B5EDC);
    border-radius: 24px;
    box-shadow: 0 8px 0 #13449f;
    text-align: center;
    padding-top: 20px;
    color: white;
    position: relative;
}

.badge-box .icon {
    font-size: 20px;
    position: relative;
    bottom: 7px;
}

.icon-alo {
    font-weight: 900;
    font-size: 26px;
    margin-top: 3px;
}

.badge-box .number {
    font-size: 16px;
    font-weight: bold;
    position: relative;
    bottom: 6px;
}

.badge-box .label {
    font-size: 14px;
    font-weight: 500;
}

.badge-box::before,
.badge-box::after {
    content: "";
    position: absolute;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 50%;
}

.badge-box::before {
    width: 8px;
    height: 8px;
    top: 14px;
    left: 14px;
}

.badge-box::after {
    width: 6px;
    height: 6px;
    top: 24px;
    right: 20px;
}

.btn-avatars {
    display: flex;
    gap: 28px;
    margin-top: 40px;
    justify-content: center;
    align-items: center;
}

/* btn */

/* Modal */
/* footer */


.lop {
    background-color: white;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.05);
}

.footer-inner {
    max-width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
}

.footer-item {
    flex: 1;
}

.footer-label {
    font-size: 12px;
    color: #87837B;
    margin-top: 2px;
}

.footer-label:hover {
    color: #251504;
}

.bubble-icon {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
    transition: background 0.3s ease, box-shadow 0.3s ease;
}

.bubble-icon:hover {
    background: radial-gradient(circle at 30% 30%, #ff7933, #ff5200, #c14277);
    box-shadow: 0 4px 0 #8c2d00;
}

.bubble-icon.active {
    background: radial-gradient(circle at 30% 30%, #ff7933, #ff5200, #c14277);
    box-shadow: 0 4px 0 #8c2d00;
}

.bubble-icon.active .footer-iconsss {
    color: white;
}

.footer-iconsss {
    color: black;
    transition: color 0.3s ease;
}

.footer-iconsss:hover {
    color: white;
}

.icon-inside {
    font-size: 20px;
    color: white;
}

.icon-img {
    width: 30px;
    height: 30px;
    object-fit: contain;
}

.profile-avatar {
    width: 42px;
    height: 42px;
    border-radius: 50% / 60%;
    background-color: #fff;
    border: 3px solid #ffc107;
    box-shadow: 0 5px 0 #7b3f00;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.avatar-img2 {
    width: 37px;
    height: 37px;
    border-radius: 50%;
    object-fit: cover;
}

.avatar-footer-teg {
    margin-top: 10px;
}

/* footer */

/* footer */


/* Animal.html */

.animals-buttons {
    background-color: #f6f1ed;
    height: 870px;
    background-image: url('../assets/img/babaYaga.svg');
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 20px;
    max-width: 520px;
}

.animals-buttons-img {
    background-image: url('../assets/img/Banneranimal.png');
    background-repeat: no-repeat;
    background-position: center;
    height: 198px;
}

.animals-buttons-h1-teg {
    color: #FFFAED;
    font-weight: 600;
    font-size: 20px;
    width: 26%;
    padding-top: 45px;
    padding-left: 90px;
}

.animals-buttons-p-teg {
    font-size: 12px;
    position: relative;
    left: 218px;
    top: 5px;
    width: 15%;
}

.animals-buttons-wrap {
    gap: 25px;
    display: flex;
    margin-top: 24px;
    justify-content: center;
    align-items: center;
}

.animals-buttton {
    display: flex;
    justify-content: center;
}

.circle-wrapper:not(:last-child) {
    margin-right: 4px;
}

.circle-button {
    width: 62px;
    height: 50px;
    background: linear-gradient(to bottom, #823518, #5a1e0c);
    border-radius: 50% / 40%;
    border: 3px solid #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4) inset;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

/* button Ball */

.button-wrapper-an {
    position: relative;
    display: inline-block;
    padding: 20px;
    margin-left: 280px;
    margin-top: 20px;
}

.shadow-bg-an {
    position: absolute;
    top: 0;
    left: 0;
    width: 152px;
    height: 65px;
    background: linear-gradient(to right, #D48C5B, #855023);
    border-radius: 20px;
    z-index: 0;
    transform: translate(14px, 13px);
}

.promokod-btn-an {
    position: relative;
    background: linear-gradient(to bottom, #327fa3, #007bff);
    border: none;
    border-radius: 20px;
    color: white;
    font-size: 24px;
    font-weight: bold;
    padding: 6px 22px;
    width: 139px;
    height: 52px;
    box-shadow: inset -5px -5px 10px rgba(255, 255, 255, 0.4),
    inset 5px 5px 10px rgba(0, 0, 0, 0.2);
}

.promokod-btn--an::before {
    content: '';
    position: absolute;
    top: 15%;
    left: 10%;
    width: 30px;
    height: 20px;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    z-index: 2;
}

.promokod-btn-an:focus {
    outline: none;
    box-shadow: none;
}

/* button Ball */

.animals-buttons-wrap {
    display: flex;
    gap: 12px;
}

.circle-wrapper {
    position: relative;
}

.circle-input {
    width: 58px;
    height: 50px;
    background: linear-gradient(to bottom, #823518, #5a1e0c);
    border-radius: 40% / 50%;
    border: 2px solid #270d04;
    box-shadow:
        0 0 0 5px #fff,
        0 4px 6px rgba(0, 0, 0, 0.4),
        inset 0 4px 8px rgba(0, 0, 0, 0.5);
    text-align: center;
    font-size: 32px;
    color: #fefae0;
    font-family: 'Rubik', sans-serif;
    font-weight: 500;
    outline: none;
}


.highlight-dot {
    content: '';
    position: absolute;
    top: 5px;
    left: 10px;
    width: 6px;
    height: 6px;
    background-color: white;
    border-radius: 50%;
    opacity: 0.7;
    box-shadow: 0 0 4px rgba(255, 255, 255, 0.4);
    pointer-events: none;
}


/* Animal.html */



/* 515 */

@media (max-width:515px) {

    /* Animal.html */
    .animals-buttons-p-teg {
        font-size: 10px;
        position: relative;
        left: 220px;
        top: 8px;
        width: 12%;
    }

    /*.avatars-card {*/
    /*    gap: 190px;*/
    /*}*/

}

/* 515 */


/* 508 */

@media (max-width:508px) {

    /* Animal.html */

    .animals-buttons-img p {
        font-size: 10px;
        position: relative;
        left: 214px;
        top: 8px;
        width: 12%;
    }

    /*.avatars-card {*/
    /*    gap: 180px;*/
    /*}*/
}

/* 508 */

/* 506 */

@media (max-width:506px) {

    /* Animal.html */

    /*.avatars-card {*/
    /*    gap: 180px;*/
    /*}*/

    .avatar-statis {
        position: relative;
        right: 20px;
    }
}

/* 506 */


/* 504 */

@media (max-width:504px) {

    /*.avatars-card {*/
    /*    gap: 174px;*/
    /*}*/

}

/* 504 */

/* 498 */

@media (max-width:498px) {

    .animals-buttons-img p {
        font-size: 10px;
        position: relative;
        left: 210px;
        top: 8px;
        width: 12%;
    }

    /* Animal.html */

    /*.avatars-card {*/
    /*    gap: 160px;*/
    /*}*/

    .button-wrapper-an {
        margin-left: 275px;
    }

}

/* 498 */

/* 485 */

@media (max-width:485px) {

    /* Animal.html */

    .animals-buttons-img p {
        font-size: 10px;
        position: relative;
        left: 204px;
        top: 8px;
        width: 12%;
    }

    .button-wrapper-an {
        margin-left: 270px;
    }

    /*.avatars-card {*/
    /*    gap: 150px;*/
    /*}*/

    .avatar-statis {
        position: relative;
        right: 25px;
    }
}

/* 485 */

/* 477 */
@media (max-width:477px) {
    .xm {
        width: 477px;
    }

    .znachok-wrap {
        display: flex;
        gap: 320px;
    }

    .button-wrapper-score {
        margin-left: 20px;
    }

    /*.avatars-card {*/
    /*    gap: 144px;*/
    /*}*/

    .button-wrapper-an {
        margin-left: 265px;
    }

    .footer-modal {
        width: 477px;
    }

}

/* 477 */


/* 473 */

@media (max-width:473px) {

    /* Animal.html */

    .animals-buttons-img p {
        font-size: 10px;
        position: relative;
        left: 198px;
        top: 8px;
        width: 12%;
    }

    /*.avatars-card {*/
    /*    gap: 140px;*/
    /*}*/

    .button-wrapper-an {
        margin-left: 260px;
    }

    .footer-modal {
        width: 470px;
    }
}

/* 473 */

/* 460 */
@media (max-width:460px) {

    .button-wrapper-score {
        margin-left: 20px;
    }

    /*.avatars-card {*/
    /*    gap: 130px;*/
    /*}*/

    .button-wrapper-an {
        margin-left: 240px;
    }

    .footer-modal {
        width: 458px;
    }

    .znachok-wrap {
        display: flex;
        gap: 310px;
    }

    .modal-score {
        width: 382px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -2px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        margin-top: 40px;
        justify-content: center;
        align-items: center;
    }

    .avatar-statis {
        position: relative;
        right: 30px;
    }
}

/* 460 */


/* 463 */

@media (max-width:463px) {

    /* Animal.html */

    .animals-buttons-img p {
        font-size: 10px;
        position: relative;
        left: 192px;
        top: 8px;
        width: 12%;
    }

    .animals-buttons-h1-teg {
        padding-top: 25px;
        padding-left: 70px;
    }

    .button-wrapper-an {
        margin-left: 255px;
    }


    /*.avatars-card {*/
    /*    gap: 128px;*/
    /*}*/


}

/* 463 */

/* 453 */

@media (max-width:453px) {

    /* Animal.html */

    .animals-buttons-img p {
        left: 188px;
    }

    .button-wrapper-an {
        margin-left: 260px;
    }

    /*.avatars-card {*/
    /*    gap: 120px;*/
    /*}*/

    .znachok-wrap {
        display: flex;
        gap: 300px;
    }

    .modal-score {
        width: 382px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -5px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        margin-top: 40px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 14px;
    }

    .footer-modal {
        width: 450px;
    }

}

/* 453 */

/* 450 */

@media (max-width:450px) {

    .button-wrapper-an {
        margin-left: 250px;
    }

    .button-wrapper-score {
        margin-left: 20px;
    }

    .footer-modal {
        width: 446px;
    }

}

/* 450 */

/* 445 */

@media (max-width:445px) {

    .animals-buttons-img p {
        left: 184px;
    }

    /*.avatars-card {*/
    /*    gap: 114px;*/
    /*}*/

    .footer-modal {
        width: 442px;
    }

}

/* 445 */

/* 435 */

@media (max-width:435px) {
    /*.avatars-card {*/
    /*    gap: 100px;*/
    /*}*/

    .animals-buttons-img p {
        left: 180px;
    }

    .button-wrapper-an {
        margin-left: 213px;
    }

    .znachok-wrap {
        display: flex;
        gap: 290px;
    }

    .modal-score {
        width: 382px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -14px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        margin-top: 40px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 25px;
    }

    .footer-modal {
        width: 432px;
    }

    .avatar-statis {
        position: relative;
        right: 40px;
    }

}

/* 435 */

/* 428 */

@media (max-width:428px) {

    .animals-buttons-img p {
        left: 174px;
    }

    /*.animals-buttons {*/
    /*    width: 426px;*/
    /*}*/

    .avatar-statis {
        position: relative;
        right: 40px;
    }

    .znachok-wrap {
        display: flex;
        gap: 280px;
    }

    .modal-score {
        width: 382px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -18px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        margin-top: 40px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 24px;
    }

    .footer-modal {
        width: 422px;
    }

}

/* 428 */


/* 420 */

@media (max-width:420px) {
    /*.avatars-card {*/
    /*    gap: 90px;*/
    /*}*/

    .animals-buttons-img p {
        left: 153px;
    }

    .znachok-wrap {
        display: flex;
        gap: 260px;
    }

    .modal-score {
        width: 382px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -20px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        margin-top: 40px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 26px;
    }

    .footer-modal {
        width: 416px;
    }

}

/* 420 */

/* 414 */

@media (max-width:414px) {

    .avatar {
        width: 40px;
        height: 40px;
    }

    .rank-pink {
        background-color: #e1d7f0;
    }

    .rank-blue {
        background-color: #0D8AFC4F;
    }

    /* raketa */

    /*.avatars-card {*/
    /*    gap: 80px;*/
    /*}*/

    .wrap-awatar {
        display: flex;
        gap: 20px;
    }

    .znachok-wrap {
        display: flex;
        gap: 260px;
    }

    .modal-score {
        width: 382px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 50px -24px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        margin-top: 40px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 30px;
    }

    .footer-modal {
        width: 410px;
    }

}

/* 414 */



/* 400 */

@media (max-width:400px) {
    .wrap-awatar {
        display: flex;
        gap: 10px;
    }

    .znachok-wrap {
        display: flex;
        gap: 250px;
    }

    .modal-score {
        width: 362px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -24px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        margin-top: 40px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 36px;
    }

    .footer-modal {
        width: 392px;
    }

    /*.avatars-card {*/
    /*    gap: 90px;*/
    /*}*/

    .button-pi {
        font-size: 10px;
    }

    .score-badge {
        width: 55px;
        height: 25px;
        font-size: 10px;
    }

    .name {
        font-size: 14px;
    }

    .rank {
        width: 20px;
        height: 20px;
        font-size: 14px;
    }

    /* Animal.html */

    .button-wrapper-score {
        margin-left: 20px;
    }

    .profile-img {
        width: 122px;
        height: 122px;
    }

    .circle-border {
        width: 160px;
        height: 160px;
    }

    .wrap-awatar {
        display: flex;
        gap: 30px;
    }


}

/* 400 */


/* 390 */

@media (max-width:390px) {

    .button-wrapper-an {
        margin-left: 185px;
    }

    .raketa-back-div {
        width: 360px;
    }

    /* Animal.html */

    /*.avatars-card {*/
    /*    gap: 80px;*/
    /*}*/

    /* Animal.html */

    .wrap-awatar {
        display: flex;
        gap: 10px;
    }

    .znachok-wrap {
        display: flex;
        gap: 240px;
    }

    .modal-score {
        width: 332px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -12px;
    }


    .footer-modal {
        width: 382px;
    }

    .avatar-statis {
        position: relative;
        bottom: 50px;
    }

    .modal-score {
        position: relative;
        bottom: 50px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        margin-top: -60px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 44px;
    }

}

/* 390 */


/* 385 */

@media (max-width:385px) {
    .wrap-awatar {
        display: flex;
        gap: 10px;
    }

    .znachok-wrap {
        display: flex;
        gap: 240px;
    }

    .modal-score {
        width: 332px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -15px;
        position: relative;
        bottom: 60px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 46px;
        bottom: 20px;
    }

    .footer-modal {
        width: 376px;
    }
}

/* 385 */

/* 375 */

@media (max-width:375px) {

    .avatar {
        width: 40px;
        height: 40px;
    }

    .raketa-back-div {
        width: 350px;
    }

    /*.avatars-card {*/
    /*    gap: 65px;*/
    /*}*/

    .cancel-button {
        width: 40px;
        height: 40px;
        position: relative;
        left: 50px;
    }

    .score-section {
        /*width: 186px;*/
        height: 56px;
    }

    .star-icon {
        margin-left: -14px;
        width: 50px;
    }

    .madina-89 {
        font-size: 20px;
    }

    .score-label {
        position: relative;
        bottom: 6px;
    }

    .wrap-awatar {
        display: flex;
        gap: 6px;
    }

    .znachok-wrap {
        display: flex;
        gap: 230px;
    }

    .modal-score {
        width: 320px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 50px -12px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 50px;
    }

    .avatar-statis {
        position: relative;
        bottom: 50px;
    }

    .modal-score {
        position: relative;
        bottom: 50px;
    }

    .footer-modal {
        width: 366px;
    }

    .badge-box {
        width: 91px;
        height: 98px;
        background: linear-gradient(to bottom, #67C6FF, #1B5EDC);
        border-radius: 24px;
        box-shadow: 0 8px 0 #13449f;
        text-align: center;
        padding-top: 20px;
        color: white;
        position: relative;
    }


}

/* 375 */

/* 365 */

@media (max-width:365px) {
    .wrap-awatar {
        display: flex;
        gap: 6px;
    }

    .znachok-wrap {
        display: flex;
        gap: 230px;
    }

    .modal-score {
        width: 320px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -18px;
        position: relative;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 54px;
    }

    .footer-modal {
        width: 356px;
    }

    .badge-box {
        width: 91px;
        height: 98px;
        background: linear-gradient(to bottom, #67C6FF, #1B5EDC);
        border-radius: 24px;
        box-shadow: 0 8px 0 #13449f;
        text-align: center;
        padding-top: 20px;
        color: white;
        position: relative;
    }
}


/* 365 */

/* 360 */

@media (max-width:360px) {

    /*.avatars-card {*/
    /*    gap: 50px;*/
    /*}*/

    .avatar {
        width: 40px;
        height: 40px;
    }

    .raketa-back-div {
        width: 340px;
    }

    /* Animal.html */

    .wrap-awatar {
        display: flex;
        gap: 1px;
        position: relative;
        right: 16px;
    }

    .znachok-wrap {
        display: flex;
        gap: 230px;
    }

    .modal-score {
        width: 320px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -19px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 56px;
    }

    .footer-modal {
        width: 350px;
    }

    .badge-box {
        width: 91px;
        height: 98px;
        background: linear-gradient(to bottom, #67C6FF, #1B5EDC);
        border-radius: 24px;
        box-shadow: 0 8px 0 #13449f;
        text-align: center;
        padding-top: 20px;
        color: white;
        position: relative;
    }

}

/* 360 */

/* 355 */

@media (max-width:355px) {

    .wrap-awatar {
        display: flex;
        gap: 1px;
        position: relative;
        right: 16px;
    }

    .znachok-wrap {
        display: flex;
        gap: 200px;
    }

    .modal-score {
        width: 300px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -14px;
    }

    .btn-avatars {
        display: flex;
        gap: 25px;
        justify-content: center;
        align-items: center;
        position: relative;
        right: 60px;
    }

    .footer-modal {
        width: 345px;
    }

    .badge-box {
        width: 81px;
        height: 98px;
        background: linear-gradient(to bottom, #67C6FF, #1B5EDC);
        border-radius: 24px;
        box-shadow: 0 8px 0 #13449f;
        text-align: center;
        padding-top: 20px;
        color: white;
        position: relative;
    }

}

/* 355 */

/* 350 */

@media (max-width:350px) {

    /*.avatars-card {*/
    /*    gap: 40px;*/
    /*}*/

    .raketa-back-div {
        width: 330px;
    }

    .footer-modal {
        width: 340px;
    }

    .modal-score {
        width: 300px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -16px;
        position: relative;
        bottom: 70px;
    }
}

/* 350 */

/* 340 */

@media (max-width:340px) {

    /*.avatars-card {*/
    /*    gap: 30px;*/
    /*}*/

    .button-pi {
        font-size: 10px;
    }

    .score-badge {
        width: 55px;
        height: 25px;
        font-size: 10px;
    }

    .score-section {
        /*width: 186px;*/
        height: 56px;
    }

    .star-icon {
        margin-left: -14px;
        width: 50px;
    }

    .madina-89 {
        font-size: 20px;
    }

    .score-label {
        position: relative;
        bottom: 6px;
    }

    .name {
        font-size: 12px;
    }

    .rank {
        width: 20px;
        height: 20px;
    }

    .raketa-back-div {
        width: 320px;
    }


    /*.avatars-card {*/
    /*    gap: 40px;*/
    /*}*/

    .raketa-back-div {
        width: 330px;
    }

    .btn-avatars {
        position: relative;
        right: 70px;
    }

    .modal-score-h1 {
        font-size: 28px;
    }

    .footer-modal {
        width: 330px;
    }

    .modal-score {
        width: 290px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 60px -14px;
    }

}

/* 340 */

/* 330 */

@media (max-width:330px) {
    .raketa-back-div {
        width: 310px;
    }

    .znachok-wrap {
        gap: 180px;
    }

    .btn-avatars {
        position: relative;
        right: 72px;
        bottom: 40px;
    }

    .awatar-things {
        position: relative;
        right: 30px;
    }

    .circle-border {
        width: 125px;
        height: 125px;
    }

    .profile-img {
        width: 100px;
        height: 100px;
    }

    .wrap-awatar {
        position: relative;
        right: 20px;
    }

    .modal-score-h1 {
        font-size: 26px;
    }

    .footer-modal {
        width: 320px;
    }

    .modal-score {
        width: 280px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 50px -14px;
        bottom: 80px;
    }

    .avatar-statis {
        position: relative;
        bottom: 70px;
    }
}

/* 330 */

/* 320 */

@media (max-width:320px) {

    .raketa-back-div {
        width: 300px;
    }

    .avatar {
        width: 40px;
        height: 40px;
    }

    /* raketa */

    /* avatar */

    .score-section {
        /*width: 186px;*/
        height: 56px;
    }

    .star-icon {
        margin-left: -14px;
        width: 50px;
    }

    .madina-89 {
        font-size: 20px;
    }

    .score-label {
        position: relative;
        bottom: 6px;
    }

    .profile-card {
        gap: 10px;
    }

    /* avatar */

    .animals-buttons-wrap {
        gap: 14px;
    }

    .button-wrapper-score {
        margin-left: 20px;
    }

    .btn-avatars {
        position: relative;
        right: 76px;
    }

    .awatar-things {
        position: relative;
        right: 30px;
    }

    .circle-border {
        width: 125px;
        height: 125px;
    }

    .profile-img {
        width: 100px;
        height: 100px;
    }

    .wrap-awatar {
        position: relative;
        right: 20px;
    }

    .modal-score-h1 {
        font-size: 26px;
    }

    .footer-modal {
        width: 310px;
    }

    .modal-score {
        width: 280px;
        height: 141px;
        border-radius: 20px;
        border: 1px solid #F6F6F6;
        background-color: white;
        margin: 50px -20px;
    }

}

/* 320 */
